MARTe2-core - User story #247

Linux UDP socket
20.10.2015 11:18 - André Neto

Status: Closed Start date: 20.10.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.7 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Implement the Linux UDP socket stream based on the previous MARTe implementation.

Source code files modified

FileSystem/BasicSocket.h
FileSystem/BasicUDPSocket.h
FileSystem/InternetHost.h
FileSystem/Environment/Linux/BasicSocket.cpp
FileSystem/Environment/Linux/BasicUDPSocket.cpp
FileSystem/Environment/Linux/InternetHost.cpp
FileSystem/Environment/Linux/SocketCore.h

Architecture & design review
Date of the review: 23/10/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 09/11/2015

Person who did the review: R. Vitelli

Result of review: PASS

List of non-conformities: N/A.

Unit test review

Date of the review: 09/11/2015

Person who did the review: R. Vitelli
Result of coverage tests review: PASS

Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A

Associated revisions

Revision b09e0f9f - 27.10.2015 09:53 - André Neto
#247 Declaration of BasicUDPSocket

Revision 48861d4c - 27.10.2015 15:13 - André Neto
Merge remote-tracking branch 'origin/#245_Linux_TCP_Socket' into
#247_Linux_UDP_socket

Conflicts:
Source/Core/FileSystem/L1Portability/Environment/Linux/Makefile.inc
Source/Core/Makefile.inc

Revision 00012a11 - 28.10.2015 20:56 - Giuseppe Ferro
Merge branch '#245_Linux_TCP_Socket' into #247_Linux_UDP_Socket

Revision 56d9¢c0c3 - 29.10.2015 11:29 - Giuseppe Ferro

Added InternetService tests.
#247

Revision b0e8d847 - 29.10.2015 12:10 - Giuseppe Ferro
Merge remote-tracking branch 'origin/#245_Linux_TCP_Socket' into #247_Linux_UDP_Socket

Revision 6d03ee7f - 29.10.2015 14:17 - André Neto

#247 Revision in progress.

Revision f3fc8c67 - 29.10.2015 14:52 - André Neto

Merge branch '#247_Linux_UDP_Socket' of
https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#247 Linux_UDP_Socket

Conflicts:
Source/Core/FileSystem/L1Portability/BasicUDPSocket.h

Revision d484fd73 - 29.10.2015 14:58 - André Neto

#247 Review in progress.

Revision c4f84cdf - 29.10.2015 15:15 - Giuseppe Ferro
Merge remote-tracking branch 'origin/#245_Linux_TCP_Socket' into #247_Linux_UDP_Socket

Revision 39fddf77 - 29.10.2015 15:22 - Giuseppe Ferro

#247 Updated SocketUDP checking if the socket handle is valid before any
operation.

Revision bb00a76b - 29.10.2015 15:23 - André Neto

#247 minor changes to InternetHost documentation.

Revision 543f2453 - 29.10.2015 15:40 - André Neto

Merge branch '#247_Linux_UDP_Socket' of
https://vcis-qgitlab.f4e.europa.eu/aneto/MARTe2.git into
#247 Linux_UDP_Socket

Conflicts:

Source/Core/FileSystem/L1Portability/BasicSocket.h
Source/Core/FileSystem/L1Portability/Environment/Linux/BasicSocket.cpp
Source/Core/FileSystem/L1Portability/Environment/Linux/BasicTCPSocket.cpp
Source/Core/FileSystem/L1Portability/Environment/Linux/BasicUDPSocket.cpp
Source/Core/FileSystem/L1Portability/InternetHost.h
Revision a6026605 - 02.11.2015 18:19 - Giuseppe Ferro
#247 Beginning of BasicUDPSocket Tests.

Revision a73b01f6 - 02.11.2015 18:25 - Giuseppe Ferro
#247 Work in progress BasicUDPSocket tests.

Revision 25664420 - 03.11.2015 16:26 - Giuseppe Ferro
#247 BasicUDPSocket Tests done.

Revision 2ca25737 - 04.11.2015 09:59 - Giuseppe Ferro
#247 fixed a lint warning

Revision cOb44aa7 - 05.11.2015 16:31 - Giuseppe Ferro
#247 Improved Error reporting

Revision 00dc1c5a - 05.11.2015 23:41 - Giuseppe Ferro
Merge branch '#245_Linux_TCP_Socket' into #247_Linux_UDP_Socket

Revision b37c9cae - 05.11.2015 23:53 - Giuseppe Ferro
#247 Fixed timeout

History

#1 - 23.10.2015 13:21 - André Neto
- Status changed from New to Code: Impl

#2 - 23.10.2015 13:23 - André Neto

- Description updated

#3 - 23.10.2015 13:28 - André Neto

- Target version set to 0.7

#4 - 26.10.2015 18:17 - André Neto

- Assignee set to André Neto

#5 - 28.10.2015 11:24 - Giuseppe Ferro

- Assignee changed from André Neto to Giuseppe Ferro

#6 - 28.10.2015 13:27 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev

#7 - 28.10.2015 13:28 - Giuseppe Ferro
- Description updated

- Assignee deleted (Giuseppe Ferro)

Code implementation done: 3c2be45

#8 - 29.10.2015 11:11 - Riccardo Vitelli

- Assignee set to André Neto

#9 - 29.10.2015 15:41 - André Neto

- Description updated

#10 - 29.10.2015 15:41 - André Neto

- Description updated

#11 - 09.11.2015 09:43 - Riccardo Vitelli
- Assignee changed from André Neto to Riccardo Vitelli

#12 - 09.11.2015 09:43 - Riccardo Vitelli
- Status changed from Code: Rev to Unit: Rev

#13 - 09.11.2015 10:38 - Riccardo Vitelli

- Description updated

#14 - 09.11.2015 10:45 - Riccardo Vitelli
- Description updated

- Assignee deleted (Riccardo Vitelli)

#15 - 09.11.2015 10:46 - Riccardo Vitelli
- Status changed from Unit: Rev to Closed
